edu.isi.pegasus.planner.dax

## Class Profile

- java.lang.Object
- - edu.isi.pegasus.planner.dax.Profile

    public class Profile
    extends java.lang.Object

Profile Object for the DAX API

Version:
  $Revision$
Author:
  gmehta

### Nested Class Summary

Nested Classes
`static class` `Profile.NAMESPACE` Supported NAMESPACES.

### Field Summary

Fields
`protected java.lang.String` `mKey` Key of the profile
`protected java.lang.String` `mNamespace` Namespace of the profile
`protected java.lang.String` `mValue` Value of the profile

### Constructor Summary

Constructors
Constructor and Description
`Profile(Profile.NAMESPACE namespace, java.lang.String key, java.lang.String value)`
`Profile(Profile p)` Copy constructor
`Profile(java.lang.String namespace, java.lang.String key)` Create a new Profile object
`Profile(java.lang.String namespace, java.lang.String key, java.lang.String value)` Create a new Profile object

### Method Summary

All Methods Instance Methods Concrete Methods
`Profile` `clone()` Create a copy of this Profile
`java.lang.String` `getKey()` Get the key of this Profile
`java.lang.String` `getNameSpace()` Get the namespace of this profile
`java.lang.String` `getValue()` Get the value of this profile
`Profile` `setValue(java.lang.String value)` Set the value of this Profile
`void` `toXML(XMLWriter writer)`
`void` `toXML(XMLWriter writer, int indent)`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mNamespace

    protected java.lang.String mNamespace

Namespace of the profile

#### mKey

    protected java.lang.String mKey

Key of the profile

#### mValue

    protected java.lang.String mValue

Value of the profile

### Constructor Detail

#### Profile

    public Profile(java.lang.String namespace,
                   java.lang.String key)

Create a new Profile object

Parameters:
  `namespace` -
  `key` -

#### Profile

    public Profile(java.lang.String namespace,
                   java.lang.String key,
                   java.lang.String value)

Create a new Profile object

Parameters:
  `namespace` -
  `key` -
  `value` -

#### Profile

    public Profile(Profile.NAMESPACE namespace,
                   java.lang.String key,
                   java.lang.String value)

Parameters:
  `namespace` -
  `key` -
  `value` -

#### Profile

    public Profile(Profile p)

Copy constructor

Parameters:
  `p` -

### Method Detail

#### getKey

    public java.lang.String getKey()

Get the key of this Profile

Returns:

#### getNameSpace

    public java.lang.String getNameSpace()

Get the namespace of this profile

Returns:

#### getValue

    public java.lang.String getValue()

Get the value of this profile

Returns:

#### setValue

    public Profile setValue(java.lang.String value)

Set the value of this Profile

Parameters:
  `value` -
Returns:

#### clone

    public Profile clone()

Create a copy of this Profile

Overrides:
  `clone` in class `java.lang.Object`
Returns:

#### toXML

    public void toXML(XMLWriter writer)

#### toXML

    public void toXML(XMLWriter writer,
                      int indent)